> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all variants

> Fetch all variants with pagination and filtering Deprecated. Use https://graphql.enad.io instead.



## OpenAPI

````yaml /swagger/shopper-api.json get /api/v1/omni/:app_id/:store_group/:market/:locale/variants
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: >-
    This is the documentation for Public API v1. All endpoints in this API are
    deprecated. Use https://graphql.enad.io instead.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //shopper-cdn.enad.io
security: []
paths:
  /api/v1/omni/:app_id/:store_group/:market/:locale/variants:
    get:
      tags:
        - Variants
      summary: Fetch all variants
      description: >-
        Fetch all variants with pagination and filtering Deprecated. Use
        https://graphql.enad.io instead.
      parameters:
        - description: App ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Store group
          in: path
          name: store_group
          required: true
          schema:
            type: string
        - description: Alpha 2 country code. e.g `se`
          in: path
          name: locale
          required: true
          schema:
            type: string
        - description: The related product market
          in: path
          name: market
          schema:
            type: string
          required: true
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Items per page (default: 50, max: 50)'
          in: query
          name: per_page
          schema:
            type: integer
        - description: Filter only active products and variants
          in: query
          name: only_active
          schema:
            type: boolean
        - description: Filter by stock availability
          in: query
          name: in_stock
          schema:
            type: boolean
        - description: >-
            Filter by stock availability in a specific warehouse (by warehouse
            slug)
          in: query
          name: in_stock_in
          schema:
            type: string
        - description: >-
            Sort order. One of created_at_desc, created_at_asc, name_asc,
            name_desc, category_order_asc, category_order_desc,
            collection_order_asc, collection_order_desc, tag_order_asc,
            tag_order_desc, variant_number_asc, variant_number_desc,
            variant_name_asc, variant_name_desc, price_asc, price_desc
          in: query
          name: sort
          schema:
            type: string
        - description: Filter by SKUs (parent product)
          in: query
          name: sku
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by Variant Names
          in: query
          name: variant_name
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter on collections slugs (parent product)
          in: query
          name: collection
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by tags key (parent product). e.g `black-friday`
          in: query
          name: tag
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by product slugs (parent product)
          in: query
          name: slug
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by brand slug (parent product)
          in: query
          name: brand
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by serie slug (parent product)
          in: query
          name: serie
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by category slug (parent product)
          in: query
          name: category
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by smart list slug
          in: query
          name: smart_list
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by static list slug
          in: query
          name: static_list
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with these SKUs (parent product)
          in: query
          name: not_in_sku
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products in these categories (by slug) (parent product)
          in: query
          name: not_in_category
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products in these collections (by uri) (parent product)
          in: query
          name: not_in_collection
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with these tags (by key) (parent product)
          in: query
          name: not_in_tag
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with these brands (by slug) (parent product)
          in: query
          name: not_in_brand
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products with these series (by slug) (parent product)
          in: query
          name: not_in_serie
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by minimum price (inclusive)
          in: query
          name: price_gte
          schema:
            type: number
        - description: Filter by maximum price (inclusive)
          in: query
          name: price_lte
          schema:
            type: number
        - description: >-
            Filter by attributes (format: template_key/value_key, e.g.,
            color/blue). Product or Variant must match all specified attributes.
          in: query
          name: attributes
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filter by category IDs (UUIDs). Product must be in at least one of
            the specified category IDs.
          in: query
          name: category_id
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Exclude products in these category IDs (UUIDs).
          in: query
          name: not_in_category_id
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Find all variants who have a specific attribute template mapped, e.g
            size
          in: query
          name: has_attribute_template
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
        - description: Full text search on variants
          in: query
          name: search
          schema:
            type: string
        - description: >-
            Group variants by an attribute template key (e.g., 'color'). When
            used, only one variant per product and attribute value is returned.
          in: query
          name: group_by_attribute_template
          schema:
            type: string
        - description: >-
            Return related variants filtered by attribute combinations (e.g.,
            'color', 'color,size'). For single attributes, returns unique
            variants by that attribute within parent products. For two
            attributes, returns all variants in catalog sharing the first
            attribute values with unique second attribute values.
          in: query
          name: related_variants_attr
          style: form
          explode: false
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/OkResponseWithPagignation-array_VariantDTOWithProductInfo
        '400':
          description: Invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
      deprecated: true
      security:
        - BearerAuth: []
components:
  schemas:
    OkResponseWithPagignation-array_VariantDTOWithProductInfo:
      properties:
        data:
          items:
            $ref: '#/components/schemas/VariantDTOWithProductInfo'
          type: array
        page:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    ErrorMessage:
      description: ErrorMessage is the response for a ErrorMessage
      properties:
        message:
          type: string
      type: object
    VariantDTOWithProductInfo:
      description: >-
        VariantDTOWithProductInfo extends VariantDTO to include information from
        its parent product.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        brands:
          $ref: '#/components/schemas/ProductBrand'
        categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.ProductCategoryDTO
          type: array
        collections:
          items:
            $ref: '#/components/schemas/ProductCollectionDTO'
          type: array
        created_at:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        description:
          type: string
        dimensions:
          $ref: '#/components/schemas/Dimensions'
        files:
          items:
            $ref: '#/components/schemas/FileDTO'
          type: array
        html_description:
          type: string
        html_short_description:
          type: string
        id:
          type: string
        image_url:
          type: string
        images:
          items:
            $ref: '#/components/schemas/ImageDTO'
          type: array
        inventories:
          items:
            $ref: '#/components/schemas/ProductInventoryWithInformation'
          type: array
        is_active:
          type: boolean
        meta_description:
          type: string
        meta_title:
          type: string
        packaging_dimensions:
          $ref: '#/components/schemas/Dimensions'
        parent_attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        prices:
          items:
            $ref: '#/components/schemas/VariantPricesDTO'
          type: array
        product_name:
          type: string
        product_number:
          type: string
        rank:
          type: number
        redirects:
          additionalProperties:
            type: string
          type: object
        related_variants:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.RelatedVariant
          type: array
        shipping_attributes:
          items:
            type: string
          type: array
        short_description:
          type: string
        slug:
          type: string
        slug_translations:
          additionalProperties:
            type: string
          type: object
        status:
          type: string
        tags:
          items:
            $ref: '#/components/schemas/TagDTO'
          type: array
        third_party_links:
          items:
            $ref: '#/components/schemas/ThirdPartyLinkDTO'
          type: array
        updated_at:
          type: string
        validate_stock:
          type: boolean
        variant_name:
          type: string
        variant_number:
          type: string
        videos:
          items:
            $ref: '#/components/schemas/VideoDTO'
          type: array
      type: object
    AttributeDTO:
      description: >-
        AttributeDTO represents the data transfer object for an attribute with
        its values.
      properties:
        description:
          type: string
        id:
          type: string
        key:
          type: string
        name:
          type: string
        values:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeValueDTO'
            type: array
          type: object
      type: object
    ProductBrand:
      description: ProductBrand represents a brand with an optional series.
      properties:
        address:
          $ref: '#/components/schemas/BrandAddress'
        name:
          type: string
        series:
          $ref: '#/components/schemas/ProductSeries'
        slug:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.ProductCategoryDTO:
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        cover_url:
          type: string
        full_path_name:
          items:
            type: string
          type: array
        full_uri_translations:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        name:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        redirects:
          additionalProperties:
            type: string
          type: object
        slug_translations:
          additionalProperties:
            type: string
          type: object
        sort_order:
          type: integer
        status:
          type: string
        sub_categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CategoryDTO
          type: array
        uri:
          type: string
      type: object
    ProductCollectionDTO:
      description: >-
        ProductCollectionDTO represents the data transfer object for a
        collection.
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CollectionDTO
          type: array
        id:
          type: string
        order:
          type: integer
        parent_id:
          type: string
        title:
          type: string
        uri:
          type: string
      type: object
    Dimensions:
      description: >-
        Dimensions represents the physical measurements of a product or its
        packaging.
      properties:
        capacity_milliliter:
          type: integer
        depth:
          type: integer
        diameter:
          type: integer
        height:
          type: integer
        length:
          type: integer
        weight:
          type: integer
        width:
          type: integer
      type: object
    FileDTO:
      description: FileDTO represents the data transfer object for a file.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        title:
          type: string
        type:
          type: string
        url:
          type: string
      type: object
    ImageDTO:
      description: ImageDTO represents the data transfer object for an image.
      properties:
        alt:
          type: string
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        blurhash:
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        sort:
          type: integer
        title:
          type: string
        url:
          type: string
      type: object
    ProductInventoryWithInformation:
      description: >-
        ProductInventoryWithInformation represents inventory data along with its
        warehouse information.
      properties:
        inventory_date:
          type: string
        quantity:
          type: integer
        warehouse:
          $ref: '#/components/schemas/Warehouse'
      type: object
    VariantPricesDTO:
      description: >-
        VariantPricesDTO extends VariantPrices with additional store group
        information.
      properties:
        channel_type:
          $ref: >-
            #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.ChannelType
        country_of_sale:
          type: string
        markets:
          items:
            $ref: '#/components/schemas/MarketPriceDTO'
          type: array
        store_group_description:
          type: string
        store_group_id:
          type: string
        store_group_name:
          type: string
        store_group_slug:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.RelatedVariant:
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        image_url:
          type: string
        images:
          items:
            $ref: '#/components/schemas/ImageDTO'
          type: array
        inventories:
          items:
            $ref: '#/components/schemas/ProductInventoryWithInformation'
          type: array
        is_active:
          type: boolean
        prices:
          items:
            $ref: '#/components/schemas/VariantPricesDTO'
          type: array
        tags:
          items:
            $ref: '#/components/schemas/TagDTO'
          type: array
        validate_stock:
          type: boolean
        variant_id:
          type: string
        variant_name:
          type: string
        variant_number:
          type: string
        videos:
          items:
            $ref: '#/components/schemas/VideoDTO'
          type: array
      type: object
    TagDTO:
      description: >-
        TagDTO represents the data transfer object for a tag with simplified
        market information.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        created_at:
          type: string
        filterable:
          type: boolean
        id:
          type: string
        key:
          type: string
        name:
          type: string
        status:
          type: string
        updated_at:
          type: string
      type: object
    ThirdPartyLinkDTO:
      description: >-
        ThirdPartyLinkDTO represents a third-party link in its data transfer
        object form.
      properties:
        id:
          type: string
        title:
          type: string
        type:
          type: string
        url:
          type: string
      type: object
    VideoDTO:
      description: VideoDTO represents the data transfer object for a video.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        description:
          type: string
        title:
          type: string
        url:
          type: string
      type: object
    AttributeValueDTO:
      description: >-
        AttributeValueDTO represents the data transfer object for an attribute
        value with type information.
      properties:
        image:
          $ref: '#/components/schemas/ImageDTO'
        type:
          type: string
        value:
          type: string
      type: object
    BrandAddress:
      description: BrandAddress represents the address information for a brand.
      properties:
        city:
          type: string
        co_address:
          type: string
        country:
          type: string
        email:
          type: string
        house_number:
          type: string
        postal_code:
          type: string
        state_province:
          type: string
        street_address:
          type: string
      type: object
    ProductSeries:
      description: ProductSeries represents a series within a product brand.
      properties:
        name:
          type: string
        slug:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.CategoryDTO:
      description: CategoryDTO represents the data transfer object for a category.
      properties:
        attributes:
          additionalProperties:
            items:
              $ref: '#/components/schemas/AttributeDTO'
            type: array
          type: object
        cover_url:
          type: string
        full_path_name:
          items:
            type: string
          type: array
        full_uri_translations:
          additionalProperties:
            type: string
          type: object
        id:
          type: string
        name:
          type: string
        parent_id:
          type: string
        redirects:
          additionalProperties:
            type: string
          type: object
        slug_translations:
          additionalProperties:
            type: string
          type: object
        sort_order:
          type: integer
        status:
          type: string
        sub_categories:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CategoryDTO
          type: array
        uri:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.CollectionDTO:
      description: CollectionDTO represents the data transfer object for a collection.
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_goomba_internal_pkg_models.CollectionDTO
          type: array
        id:
          type: string
        parent_id:
          type: string
        title:
          type: string
        uri:
          type: string
      type: object
    Warehouse:
      description: Warehouse represents a storage facility for product inventory.
      properties:
        address:
          $ref: '#/components/schemas/Address'
        description:
          type: string
        id:
          type: string
        name:
          type: string
      type: object
    github_com_enadhq_goomba_internal_pkg_models.ChannelType:
      enum:
        - B2B
        - B2C
      type: string
      x-enum-varnames:
        - B2B
        - B2C
    MarketPriceDTO:
      description: >-
        MarketPriceDTO extends MarketPrice with additional tax-related
        information.
      properties:
        base_price_amount:
          type: number
        country_code:
          type: string
        country_codes:
          items:
            type: string
          type: array
        currency:
          type: string
        id:
          type: string
        market_id:
          type: string
        market_slug:
          type: string
        on_sale:
          type: boolean
        reference_price_amount:
          type: number
        sale_end_timestamp:
          type: string
        sale_price_amount:
          type: number
        sale_start_timestamp:
          type: string
      type: object
    Address:
      description: >-
        Address represents a physical location with detailed address
        information.
      properties:
        city:
          type: string
        country:
          type: string
        postal_code:
          type: string
        region:
          type: string
        street_address:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and a token.
      in: header
      name: Authorization
      type: apiKey

````